%define drupaldir %{_datadir}/drupal6
Name: drupal6-service_links
Version:  2.2
Release:  2%{?dist}
Summary: Enables admins to add links to a number of sites

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/service_links
Source0: http://ftp.drupal.org/files/projects/service_links-6.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
#Source2: %{name}-gpl-2.0.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal6 >= 6.0
Obsoletes: drupal-service_links <= 6.x.2.0-2

%description
The service links module enables admins to add links to a number of social 
bookmarking sites, blog search sites etc. Includes sites are del.icio.us, 
Digg, Reddit, ma.gnolia.com, Newsvine, Furl, Google, Yahoo, Technorati and 
IceRocket.

%prep

%setup -qn service_links


%build

cp %{SOURCE1} .

%install
rm -rf %{buildroot}

#replace license with version with correct address.
#rm LICENSE.txt
#install -m 644 %{SOURCE2} LICENSE.txt

install -d %{buildroot}%{drupaldir}/modules/service_links
cp -pr * %{buildroot}%{drupaldir}/modules/service_links

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%exclude %{drupaldir}/modules/service_links/LICENSE.txt
%exclude %{drupaldir}/modules/service_links/README.txt
%exclude %{drupaldir}/modules/service_links/%{name}-fedora-README.txt
%{drupaldir}/modules/service_links

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jon Ciesla <limburgher@gmail.com> - 2.2-1
- New upstream, BZ 973050.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Jon Ciesla <limb@jcomserv.net> - 2.1-1
- New upstream.
- Reverted back to upstream license, address fixed.

* Mon Nov 28 2011 Jon Ciesla <limb@jcomserv.net> - 2.0-4
- Fixed license perms.

* Mon Nov 28 2011 Jon Ciesla <limb@jcomserv.net> - 2.0-3
- Corrected license address.

* Thu Jan 20 2011 Jon Ciesla <limb@jcomserv.net> - 2.0-2
- Corrected obsoletes.

* Wed Jan 19 2011 Jon Ciesla <limb@jcomserv.net> - 2.0-1
- Fixed version, bad patch macro, license.

* Fri Dec 03 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-2
- Fixed README naming.

* Mon Oct 25 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-1
- New upstream, BZ 645757.

* Fri Oct 09 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.1.0-5
- Patch for CVE-2009-3648 from madirish.net, BZ 528200, 528201.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.1.0-2
- Corrected duplicate files.

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.1.0-1
- Updated for Drupal 6.x.

* Wed Oct 24 2007 Jon Ciesla <limb@jcomserv.net> - 1.0-1
- Initial packaging.
